package cn.iocoder.yudao.module.system.controller.admin.houselane.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 线库/巷道新增/修改 Request VO")
@Data
public class WareHouseLaneSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4293")
    private Long id;

    @Schema(description = "巷道id(自定义)", requiredMode = Schema.RequiredMode.REQUIRED, example = "276")
    @NotNull(message = "巷道id(自定义)不能为空")
    private Long laneId;

    @Schema(description = "巷道名称", example = "芋艿")
    private String laneName;

    @Schema(description = "巷道说明(可以拓展为区域说明)")
    private String laneMsg;

}